/* Une bibliothèque de fonctions                 */

public class Bibliotheque2 {

  /* Fonction d'affichage d'un tableau d'entiers */

  static void affichage(int [] t) {
    int i;
    for ( i = 0 ; i < t.length ; i = i+1 ) {
      Ecran.formater("%3d",t[i]); }
    Ecran.sautDeLigne();
  }

  /* Fonction de creation d'un tableau           */
  /* de n entiers tirés au sort                  */
  /* dans l'intervalle [0,m[                     */
  
  static int [] creation(int n,int m) {
    int [] res = new int[n];
    int i;
    for ( i = 0 ; i < n ; i = i+1 ) {
      res[i] =(int) (Math.random()*m); }
    return res;
  }
}